@ECHO OFF
TITLE ESTKme-2024 - Card Info
SETLOCAL ENABLEDELAYEDEXPANSION

IF "%PROCESSOR_ARCHITECTURE%" == "ARM64" (
    SET "EDITION=arm64"
) ELSE (
    SET "EDITION=x86"
)

SET "FWUPD=%~dp0bin\fwupd-%EDITION%.exe"

IF NOT EXIST "%FWUPD%" (
    ECHO fwupd not found at %FWUPD%
    EXIT /b 1
)

FOR /F "tokens=*" %%i IN ('"%FWUPD%" ver') DO SET "BOOTLOADER_VERSION=%%i"

ECHO Bootloader Version: %BOOTLOADER_VERSION%

PAUSE
